- hosts:
    - pgbouncers_main
    - pgbouncers_ci
    - patroni_main
    - patroni_ci
    - patroni_ci1
  become: true
  tags:
    - never
    - reenable-chef
  tasks:
    - name: "Confirm before going ahead"
      block:
        - name: Pause waiting for manual input
          ansible.builtin.pause:
            prompt: |
              #############
              # IMPORTANT #
              #############

              Re-enabling chef could potentially rollback any manual changes that have been
              made so you really want to make sure any changes to patroni/pgbouncers have been merged
              and deployed to the chef server (check ops.gitlab.net chef-repo pipelines) before
              re-enabling chef.

              To proceed, then type "go ahead" to continue or anything else to abort.
          register: confirm_continue_after_chef_changes
          run_once: true

        - name: Check that we are supposed to continue
          assert:
            that:
              - confirm_continue_after_chef_changes.user_input | trim | lower == "go ahead"
            fail_msg: "Expecting \"go ahead\" (got: {{ confirm_continue_after_chef_changes.user_input | trim }}). Exiting."
          run_once: true

        - name: "Re-enable chef client"
          ansible.builtin.command: chef-client-enable
